## org.omg.CONV_FRAME
Class CodeSetContext

    java.lang.Object
      |
      +--org.omg.CONV_FRAME.CodeSetContext

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class CodeSetContext
extends java.lang.Object
implements IDLEntity

Struct definition : CodeSetContext

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`int` `char_data` Struct member char_data
`int` `wchar_data` Struct member wchar_data

Constructor Summary
`CodeSetContext()` Default constructor
`CodeSetContext(int char_data, int wchar_data)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### char_data

    public int char_data

  Struct member char_data

### wchar_data

    public int wchar_data

  Struct member wchar_data

Constructor Detail

### CodeSetContext

    public CodeSetContext()

  Default constructor

### CodeSetContext

    public CodeSetContext(int char_data,
                          int wchar_data)

  Constructor with fields initialization
  Parameters:
    `char_data` - char_data struct member
    `wchar_data` - wchar_data struct member